Subject: Re: pulseaudio borked
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Leonid Mironov <[email-masked]>
Date: Fri, 1 Sep 2023 21:28:26 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Fri, 1 Sep 2023 09:37:03 +0200
Leonid Mironov wrote:
> After the latest upgrade of mpg123 and mpg123-pulse from 1.25.10 to
> 1.31.3 and pulseaudio from 11.1 to 16.1 pulseaudio output in mpg123
> became unusable - stuttering and stopping all the time with no
> significant CPU load. Downgrading mpg123 without downgrading pulseaudio
> didn't resolve this issue, so it looks like pulse is to blame. It is an
> HP 840 G6 notebook with realtek sound chip and windows 10.
> 
> I should add that I started using pulse because with default settings
> mpg123 reacted to keyboard commands after a huge delay and Takashi Yano
> suggested using pulseaudio, which worked fine. I tried the default
> device (output_win32.dll) again, and it works fine now, so for me
> resolving this issue has no practical merit, still, not nice.

Thanks for the report. In my PC for developement, the issue
is not reproducible. However, I found one of my note pc can
preroduce that.

I will fix that and release pulseaudio 16.1-2 shortly.
Please test.

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple